Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class SessionConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.SessionConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, SessionConfigType<T>

    public class SessionConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, SessionConfigType<T>

This class implements the `session-configType` xsd type

Original Documentation:

The session-configType defines the session parameters
for this web application.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`SessionConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`SessionConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`CookieConfigType<SessionConfigType<T>>` | `cookieConfig()` If not already created, a new `cookie-config` element will be created and returned.
`java.lang.Integer` | `getSessionTimeout()` Returns the `session-timeout` element
`TrackingModeType` | `getTrackingMode()` Returns the `tracking-mode` element
`java.lang.String` | `getTrackingModeAsString()` Returns the `tracking-mode` element
`SessionConfigType<T>` | `removeCookieConfig()` Removes the `cookie-config` element
`SessionConfigType<T>` | `removeSessionTimeout()` Removes the `session-timeout` element
`SessionConfigType<T>` | `setSessionTimeout(java.lang.Integer sessionTimeout)` If not already created, a new `session-timeout` element with the given value will be created.
`SessionConfigType<T>` | `setTrackingMode(java.lang.String trackingMode)` If not already created, a new `tracking-mode` element with the given value will be created.
`SessionConfigType<T>` | `setTrackingMode(TrackingModeType trackingMode)` If not already created, a new `tracking-mode` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionConfigTypeImpl

    public SessionConfigTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

### SessionConfigTypeImpl

    public SessionConfigTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node,
                                 org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setSessionTimeout

    public SessionConfigType<T> setSessionTimeout(java.lang.Integer sessionTimeout)

  If not already created, a new `session-timeout` element with the given value will be created. Otherwise, the existing `session-timeout` element will be updated with the given value.

  Specified by:
    `setSessionTimeout` in interface `SessionConfigType<T>`
  Returns:
    the current instance of `SessionConfigType`

### removeSessionTimeout

    public SessionConfigType<T> removeSessionTimeout()

  Removes the `session-timeout` element

  Specified by:
    `removeSessionTimeout` in interface `SessionConfigType<T>`
  Returns:
    the current instance of `SessionConfigType`

### getSessionTimeout

    public java.lang.Integer getSessionTimeout()

  Returns the `session-timeout` element

  Specified by:
    `getSessionTimeout` in interface `SessionConfigType<T>`
  Returns:
    the node defined for the element `session-timeout`

### removeCookieConfig

    public SessionConfigType<T> removeCookieConfig()

  Removes the `cookie-config` element

  Specified by:
    `removeCookieConfig` in interface `SessionConfigType<T>`
  Returns:
    the current instance of `SessionConfigType`

### cookieConfig

    public CookieConfigType<SessionConfigType<T>> cookieConfig()

  If not already created, a new `cookie-config` element will be created and returned. Otherwise, the existing `cookie-config` element will be returned.

  Specified by:
    `cookieConfig` in interface `SessionConfigType<T>`
  Returns:
    the node defined for the element `cookie-config`

### setTrackingMode

    public SessionConfigType<T> setTrackingMode(TrackingModeType trackingMode)

  If not already created, a new `tracking-mode` element with the given value will be created. Otherwise, the existing `tracking-mode` element will be updated with the given value.

  Specified by:
    `setTrackingMode` in interface `SessionConfigType<T>`
  Returns:
    the current instance of `SessionConfigType`

### setTrackingMode

    public SessionConfigType<T> setTrackingMode(java.lang.String trackingMode)

  If not already created, a new `tracking-mode` element with the given value will be created. Otherwise, the existing `tracking-mode` element will be updated with the given value.

  Specified by:
    `setTrackingMode` in interface `SessionConfigType<T>`
  Returns:
    the current instance of `SessionConfigType`

### getTrackingMode

    public TrackingModeType getTrackingMode()

  Returns the `tracking-mode` element

  Specified by:
    `getTrackingMode` in interface `SessionConfigType<T>`
  Returns:
    the node defined for the element `tracking-mode`

### getTrackingModeAsString

    public java.lang.String getTrackingModeAsString()

  Returns the `tracking-mode` element

  Specified by:
    `getTrackingModeAsString` in interface `SessionConfigType<T>`
  Returns:
    the node defined for the element `tracking-mode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD